| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
Pos::Provider Class Referenceabstract
Algo

Provides a series of positions; can also be used for subselection. More...

`#include <posprovider.h>`

Inheritance diagram for Pos::Provider:
[legend]

## Public Member Functions
virtual Coord | curCoord () const =0
virtual TrcKey | curTrcKey () const =0
virtual float | curZ () const =0
virtual od_int64 | estNrPos () const =0
virtual int | estNrZPerPos () const
float | estRatio (const Provider &) const override
virtual void | getTrcKeyZSampling (TrcKeyZSampling &) const
bool | isProvider () const override
virtual OD::GeomSystem | survID () const =0
virtual bool | toNextPos ()=0
virtual bool | toNextZ ()=0
Public Member Functions inherited from Pos::Filter
virtual | ~Filter ()
virtual float | adjustedZ (const Coord &, float z) const
virtual Filter * | clone () const =0
virtual void | fillPar (IOPar &) const =0
virtual void | getSummary (BufferString &) const =0
virtual bool | hasZAdjustment () const
virtual bool | includes (const Coord &, float z=mUdf(float)) const =0
virtual bool | initialize (TaskRunner *=nullptr)
virtual bool | is2D () const =0
virtual void | reset ()=0
virtual const char * | type () const =0
virtual void | usePar (const IOPar &)=0

## Static Public Member Functions
static Provider * | make (const IOPar &, bool is2d)
Static Public Member Functions inherited from Pos::Filter
static Filter * | make (const IOPar &, bool is2d)

## Detailed Description

Provides a series of positions; can also be used for subselection.

toNextPos() will ignore any Z settings and go to the first Z on the next position. toNextZ() is the normal 'iterator increment'. After initialization, you need to do toNextZ() or toNextPos() for a valid position.

<>

## Member Function Documentation

## ◆ curCoord()

virtual Coord Pos::Provider::curCoord | ( |  | ) | const
| pure virtual

Implemented in Pos::Provider3D, Pos::EMSurfaceProvider3D, Pos::EMSurfaceProvider2D, Pos::EMSurface2DProvider3D, and Pos::RangeProvider2D.

## ◆ curTrcKey()

virtual TrcKey Pos::Provider::curTrcKey | ( |  | ) | const
| pure virtual

Implemented in Pos::Provider3D, Pos::EMSurfaceProvider2D, and Pos::RangeProvider2D.

## ◆ curZ()

virtual float Pos::Provider::curZ | ( |  | ) | const
| pure virtual

Implemented in Pos::EMSurfaceProvider3D, Pos::EMSurfaceProvider2D, Pos::EMSurface2DProvider3D, Pos::EMImplicitBodyProvider, Pos::EMRegion3DProvider, Pos::RangeProvider3D, Pos::RangeProvider2D, Pos::PolyProvider3D, Pos::TableProvider3D, Pos::SeisProvider3D, and Pos::WellProvider3D.

## ◆ estNrPos()

virtual od_int64 Pos::Provider::estNrPos | ( |  | ) | const
| pure virtual

Implemented in Pos::EMSurfaceProvider3D, Pos::EMSurfaceProvider2D, Pos::EMSurface2DProvider3D, Pos::EMImplicitBodyProvider, Pos::EMRegion3DProvider, Pos::RangeProvider3D, Pos::RangeProvider2D, Pos::PolyProvider3D, Pos::TableProvider3D, Pos::SeisProvider3D, and Pos::WellProvider3D.

## ◆ estNrZPerPos()

virtual int Pos::Provider::estNrZPerPos | ( |  | ) | const
| inline virtual

Reimplemented in Pos::EMSurfaceProvider3D, Pos::EMSurfaceProvider2D, Pos::EMSurface2DProvider3D, Pos::EMImplicitBodyProvider, Pos::EMRegion3DProvider, Pos::RangeProvider3D, Pos::RangeProvider2D, Pos::PolyProvider3D, Pos::TableProvider3D, Pos::SeisProvider3D, and Pos::WellProvider3D.

## ◆ estRatio()

float Pos::Provider::estRatio | ( | const Provider & |  | ) | const
| override virtual

Implements Pos::Filter.

## ◆ getTrcKeyZSampling()

virtual void Pos::Provider::getTrcKeyZSampling | ( | TrcKeyZSampling & |  | ) | const
| virtual

Reimplemented in Pos::RangeProvider3D, Pos::EMSurfaceProvider3D, Pos::EMImplicitBodyProvider, and Pos::EMRegion3DProvider.

## ◆ isProvider()

bool Pos::Provider::isProvider | ( |  | ) | const
| override virtual

Reimplemented from Pos::Filter.

## ◆ make()

static Provider * Pos::Provider::make | ( | const IOPar & | ,
|  | bool | is2d )
| static

## ◆ survID()

virtual OD::GeomSystem Pos::Provider::survID | ( |  | ) | const
| pure virtual

Implemented in Pos::Provider3D, and Pos::Provider2D.

## ◆ toNextPos()

virtual bool Pos::Provider::toNextPos | ( |  | ) |
| pure virtual

Implemented in Pos::EMSurfaceProvider3D, Pos::EMSurfaceProvider2D, Pos::EMSurface2DProvider3D, Pos::EMImplicitBodyProvider, Pos::EMRegion3DProvider, Pos::RangeProvider3D, Pos::RangeProvider2D, Pos::PolyProvider3D, Pos::TableProvider3D, Pos::SeisProvider3D, and Pos::WellProvider3D.

## ◆ toNextZ()

virtual bool Pos::Provider::toNextZ | ( |  | ) |
| pure virtual

Implemented in Pos::EMSurfaceProvider3D, Pos::EMSurfaceProvider2D, Pos::EMSurface2DProvider3D, Pos::EMImplicitBodyProvider, Pos::EMRegion3DProvider, Pos::RangeProvider3D, Pos::RangeProvider2D, Pos::PolyProvider3D, Pos::TableProvider3D, Pos::SeisProvider3D, and Pos::WellProvider3D.

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025